using System.Collections.ObjectModel;
using View_by_Distance.Shared.Models.Properties;

namespace View_by_Distance.Shared.Models.Stateless.Methods;

public interface IRename
{

    ReadOnlyCollection<string> ConvertAndGetFfmpegFiles(IRenameConfiguration renameConfiguration, FilePath filePath);
    DeterministicHashCode GetDeterministicHashCode(FilePath filePath);
    void Tick();

}