using System.Text.Json;
using System.Text.Json.Serialization;

namespace View_by_Distance.Shared.Models;

public record GpsDirectory(string? Altitude,
                           string? Latitude,
                           string? LatitudeRef,
                           string? Longitude,
                           string? LongitudeRef,
                           DateTime? TimeStamp)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, GpsDirectorySourceGenerationContext.Default.GpsDirectory);
        return result;
    }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(GpsDirectory))]
public partial class GpsDirectorySourceGenerationContext : JsonSerializerContext
{
}