using System.Text.Json;
using System.Text.Json.Serialization;

namespace View_by_Distance.Shared.Models;

public record MappingFromFilter(bool? IsFocusModel,
                                bool? IsFocusPerson,
                                bool? IsFocusRelativePath,
                                bool? InSkipCollection,
                                bool? IsUsed)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, MappingFromFilterGenerationContext.Default.MappingFromFilter);
        return result;
    }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(MappingFromFilter))]
public partial class MappingFromFilterGenerationContext : JsonSerializerContext
{
}