namespace View_by_Distance.Shared.Models.Stateless.Methods;

public interface IResult
{

    string TestStatic_GetRelativePath(ResultConfiguration resultConfiguration, string path) =>
        GetRelativePath(resultConfiguration, path);
    static string GetRelativePath(ResultConfiguration resultConfiguration, string path) =>
        XResult.GetRelativePath(resultConfiguration, path);

    string TestStatic_GetResultsGroupDirectory(ResultConfiguration resultConfiguration, string description, bool create) =>
        GetResultsGroupDirectory(resultConfiguration, description, create);
    static string GetResultsGroupDirectory(ResultConfiguration resultConfiguration, string description, bool create) =>
        XResult.GetResultsGroupDirectory(resultConfiguration, description, create);

    string TestStatic_GetResultsGroupDirectory(ResultConfiguration resultConfiguration, string description) =>
        GetResultsGroupDirectory(resultConfiguration, description);
    static string GetResultsGroupDirectory(ResultConfiguration resultConfiguration, string description) =>
        XResult.GetResultsGroupDirectory(resultConfiguration, description, create: true);

    string TestStatic_GetResultsDateGroupDirectory(ResultConfiguration resultConfiguration, string description) =>
        GetResultsDateGroupDirectory(resultConfiguration, description);
    static string GetResultsDateGroupDirectory(ResultConfiguration resultConfiguration, string description) =>
        XResult.GetResultsDateGroupDirectory(resultConfiguration, description);

    string TestStatic_GetResultsDateGroupDirectory(ResultConfiguration resultConfiguration, string description, string jsonGroup) =>
        GetResultsDateGroupDirectory(resultConfiguration, description, jsonGroup);
    static string GetResultsDateGroupDirectory(ResultConfiguration resultConfiguration, string description, string jsonGroup) =>
        XResult.GetResultsDateGroupDirectory(resultConfiguration, description, jsonGroup);

    List<string> TestStatic_GetDirectoryInfoCollection(ResultConfiguration resultConfiguration, string sourceDirectory, string dateGroupDirectory, string contentDescription, string singletonDescription, string collectionDescription, bool converted) =>
        GetDirectoryInfoCollection(resultConfiguration, sourceDirectory, dateGroupDirectory, contentDescription, singletonDescription, collectionDescription, converted);
    static List<string> GetDirectoryInfoCollection(ResultConfiguration resultConfiguration, string sourceDirectory, string dateGroupDirectory, string contentDescription, string singletonDescription, string collectionDescription, bool converted) =>
        XResult.GetDirectoryInfoCollection(resultConfiguration, sourceDirectory, dateGroupDirectory, contentDescription, singletonDescription, collectionDescription, converted);

    string TestStatic_GetResultsFullGroupDirectory(ResultConfiguration resultConfiguration, string description, string outputResolution, bool includeResizeGroup, bool includeModel, bool includePredictorModel) =>
        GetResultsFullGroupDirectory(resultConfiguration, description, outputResolution, includeResizeGroup, includeModel, includePredictorModel);
    static string GetResultsFullGroupDirectory(ResultConfiguration resultConfiguration, string description, string outputResolution, bool includeResizeGroup, bool includeModel, bool includePredictorModel) =>
        XResult.GetResultsFullGroupDirectory(resultConfiguration, description, outputResolution, includeResizeGroup, includeModel, includePredictorModel);

    List<string> TestStatic_GetDirectoryInfoCollection(ResultConfiguration resultConfiguration, string sourceDirectory, string description, string outputResolution, bool includeResizeGroup, bool includeModel, bool includePredictorModel, string contentDescription, string singletonDescription, string collectionDescription) =>
        GetDirectoryInfoCollection(resultConfiguration, sourceDirectory, description, outputResolution, includeResizeGroup, includeModel, includePredictorModel, contentDescription, singletonDescription, collectionDescription);
    static List<string> GetDirectoryInfoCollection(ResultConfiguration resultConfiguration, string sourceDirectory, string description, string outputResolution, bool includeResizeGroup, bool includeModel, bool includePredictorModel, string contentDescription, string singletonDescription, string collectionDescription) =>
        XResult.GetDirectoryInfoCollection(resultConfiguration, sourceDirectory, description, outputResolution, includeResizeGroup, includeModel, includePredictorModel, contentDescription, singletonDescription, collectionDescription);

}